routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('suspended', 'UserController@suspended')->name('suspended');

Route::group(['prefix' => '@{username}', 'as' => 'user.'], function () {
    Route::get('', 'UserController@profile')->name('done');
    Route::get('pending', 'UserController@profile')->name('pending');
    Route::get('products', 'UserController@profile')->name('products');
    Route::get('questions', 'UserController@profile')->name('questions');
    Route::get('answers', 'UserController@profile')->name('answers');
    Route::get('following', 'UserController@profile')->name('following');
    Route::get('followers', 'UserController@profile')->name('followers');
});

Route::group(['prefix' => 'settings', 'as' => 'user.settings.', 'middleware' => ['auth']], function () {
    Route::get('', 'UserController@profileSettings')->name('profile');
    Route::get('account', 'UserController@accountSettings')->name('account');
    Route::get('patron', 'UserController@patronSettings')->name('patron');
    Route::get('password', 'UserController@passwordSettings')->name('password');
    Route::get('notifications', 'UserController@notificationsSettings')->name('notifications');
    Route::get('integrations', 'UserController@integrationsSettings')->name('integrations');
    Route::get('export', 'UserController@exportAccount')->name('export');
    Route::get('delete', 'UserController@deleteSettings')->name('delete');
});

Route::group(['prefix' => 'webhook'], function () {
    Route::post('web/{token}', 'WebhookController@web');
    //Route::post('github/{token}', 'WebhookController@github');
});

Route::get('login/{provider}', 'SocialController@redirect');
Route::get('login/{provider}/callback', 'SocialController@Callback');

Route::group(['prefix' => 'product/{slug}', 'as' => 'product.'], function () {
    Route::get('', 'ProductController@profile')->name('done');
    Route::get('pending', 'ProductController@profile')->name('pending');
    Route::get('updates', 'ProductController@profile')->name('updates');
    Route::get('updates/new', 'ProductController@newUpdate')->name('new-update')->middleware('auth');
});

Route::group(['prefix' => 'products', 'as' => 'products.'], function () {
    Route::get('', 'ProductController@newest')->name('newest');
    Route::get('launched', 'ProductController@launched')->name('launched');
});

Route::group(['prefix' => 'questions', 'as' => 'questions.'], function () {
    Route::get('', 'QuestionController@newest')->name('newest');
    Route::get('unanswered', 'QuestionController@unanswered')->name('unanswered');
    Route::get('popular', 'QuestionController@popular')->name('popular');
});

Route::group(['prefix' => 'question', 'as' => 'question.'], function () {
    Route::get('{id}', 'QuestionController@question')->name('question');
});

Route::group(['prefix' => 'notifications', 'as' => 'notifications.', 'middleware' => ['auth']], function () {
    Route::get('', 'NotificationController@unread')->name('unread');
    Route::get('all', 'NotificationController@all')->name('all');
});

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'middleware' => ['staff']], function () {
    Route::get('', 'AdminController@admin')->name('stats');
    Route::get('users', 'AdminController@users')->name('users');
    Route::get('adminbar', 'AdminController@toggle')->name('adminbar');
});

Route::group(['prefix' => 'patron', 'as' => 'patron.'], function () {
    Route::get('', 'PatronController@patron')->name('home');
});

// Toggles
Route::get('darkmode', 'UserController@darkMode')->name('darkmode')->middleware('patron');

Route::get('task/{id}', 'TaskController@task')->name('task');

Route::get('tasks', 'TaskController@tasks')->name('tasks')->middleware('auth');

Route::get('streaks/{username}', 'StatsController@streaks')->name('streak');

Route::group(['prefix' => 'search', 'as' => 'search.'], function () {
    Route::get('', 'SearchController@search')->name('home');
    Route::get('tasks', 'SearchController@tasks')->name('tasks');
    Route::get('comments', 'SearchController@comments')->name('comments');
    Route::get('questions', 'SearchController@questions')->name('questions');
    Route::get('answers', 'SearchController@answers')->name('answers');
    Route::get('products', 'SearchController@products')->name('products');
    Route::get('users', 'SearchController@users')->name('users');
});

// Pages
Route::get('about', 'PagesController@about')->name('about');
Route::get('reputation', 'PagesController@reputation')->name('reputation');
Route::get('terms', 'PagesController@terms')->name('terms');
Route::get('privacy', 'PagesController@privacy')->name('privacy');
Route::get('security', 'PagesController@security')->name('security');
Route::get('open', 'PagesController@open')->name('open');
Route::get('deals', 'PagesController@deals')->name('deals');

Route::post('paddle/webhook', 'PatronController@handleWebhook')->name('paddle.webhook');

resources/views/pages/about.blade.php
@extends('layouts.app')

@section('pageTitle', 'About ·')
@section('title', 'About ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection

resources/views/pages/deals.blade.php
@extends('layouts.app')

@section('pageTitle', 'Deals ·')
@section('title', 'Deals ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Deals</span>
            <div>Discounts and special deals for Taskord members. Only available for patrons.</div>
            <div>
                <a href="https://taskord.typeform.com/to/RQFk3SXy" target="_blank">Add your product</a>
            </div>
            @auth
            @if (Auth::user()->staffShip)
            <button type="button" class="mt-2 btn btn-success text-white" data-toggle="modal" data-target="#newQuestionModal">
                <i class="fa fa-plus mr-1"></i>
                Add a Deal
            </button>
            @livewire('pages.create-deal')
            @endif
            @endauth
        </div>
        <div class="card-body">
            @if (count($deals) === 0)
            @include('components.empty', [
                'icon' => 'gifts',
                'text' => 'No deals found',
            ])
            @endif
            @foreach ($deals as $deal)
                <div class="d-flex align-items-center {{ $loop->last ? '' : 'mb-5' }}">
                    <div>
                        <img class="rounded avatar-100" src="{{ $deal->logo }}" />
                    </div>
                    <div class="ml-4">
                        <span class="h4">
                            {{ $deal->name }}
                        </span>
                        <span class="h5">
                            <span class="align-text-top badge bg-success font-weight-normal p-1 ml-1">{{ $deal->offer }}% OFF</span>
                        </span>
                        <div class="h6 mt-3">{{ $deal->description }}</div>
                        <div class="mt-2">
                            <a href="{{ $deal->website }}" target="_blank">{{ $deal->website }}</a>
                        </div>
                        @auth
                        @if (Auth::user()->isPatron)
                        <div class="mt-2">
                            Coupon Code
                            <code class="ml-2 font-weight-bold">
                                {{ $deal->coupon }}
                            </code>
                        </div>
                        @else
                        <div class="mt-2">
                            <a class="text-black-50" href="{{ route('patron.home') }}">You must be a patron to see coupon code.</a>
                        </div>
                        @endif
                        @endauth
                        @guest
                        <div class="mt-2">
                            <a class="text-black-50" href="{{ route('login') }}">Login to view coupon code.</a>
                        </div>
                        @endguest
                        @auth
                        @if (Auth::user()->staffShip)
                            <div class="mt-3">
                                <code>
                                    Deal::find({{ $deal->id }})->delete()
                                </code>
                            </div>
                        @endif
                        @endauth
                    </div>
                </div>
            @endforeach
        </div>
    </div>
</div>
@endsection

resources/views/pages/open.blade.php
@extends('layouts.app')

@section('pageTitle', 'Open ·')
@section('title', 'Open ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection

resources/views/pages/patron.blade.php
@extends('layouts.app')

@section('pageTitle', 'Patron ·')
@section('title', 'Patron ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="mb-4 text-center">
        <img src="/images/patron.svg" width="100" />
    </div>
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Become a Patron</span>
            <div>Support Taskord by becoming a Patron.</div>
        </div>
        <div class="card-body">
            <div class="row align-items-center font-monospace">
                <div class="col-md-8">
                    <div class="font-weight-bold mb-3">You get the following benefits</div>
                    <ul>
                        <li>🌑 Enable Awesome Dark Mode</li>
                        <li>💬 Patrons only discussion to make it more meaningful</li>
                        <li>🔒 Make your tasks private and get personal things done</li>
                        <li>🤝 Show off your support with the Patron badge</li>
                        <li>👍 Fund on-going development of the platform and server fee</li>
                        <li>More coming soon...</li>
                    </ul>
                </div>
                <div class="col-sm">
                    @auth
                    @if (Auth::user()->isPatron and Auth::user()->patron()->count() === 1)
                    <div class="text-center">
                        <div class="h5">
                            {{ Emoji::redHeart() }}
                            You are already a patron!
                        </div>
                        <a class="text-primary" href="{{ route('user.settings.patron') }}">
                            Go to settings
                        </a>
                    </div>
                    @else
                    <a
                        class="paddle_button btn btn-block btn-primary"
                        data-theme="none"
                        data-product="619848"
                        data-message="Support $5/month for Taskord!"
                        data-email="{{ Auth::user()->email }}"
                    >
                        Support $5/month
                    </a>
                    <a
                        class="paddle_button btn btn-block btn-primary"
                        data-theme="none"
                        data-product="621377"
                        data-message="Support $10/month for Taskord!"
                        data-email="{{ Auth::user()->email }}"
                    >
                        Support $10/month
                    </a>
                    <a
                        class="paddle_button btn btn-block btn-primary"
                        data-theme="none"
                        data-product="621379"
                        data-message="Support $20/month for Taskord!"
                        data-email="{{ Auth::user()->email }}"
                    >
                        Support $20/month
                    </a>
                    <a
                        class="paddle_button btn btn-block btn-primary"
                        data-theme="none"
                        data-product="621380"
                        data-message="Support $50/month for Taskord!"
                        data-email="{{ Auth::user()->email }}"
                    >
                        Support $50/month
                    </a>
                    @endif
                    @endauth
                    @guest
                    <a class="btn btn-block btn-success text-white" href="{{ route('login') }}">
                        Login to support!
                    </a>
                    @endguest
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://cdn.paddle.com/paddle/paddle.js"></script>
<script type="text/javascript">
	Paddle.Setup({ vendor: 120187 });
</script>
@endsection

resources/views/pages/privacy.blade.php
@extends('layouts.app')

@section('pageTitle', 'Privacy ·')
@section('title', 'Privacy ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection

resources/views/pages/reputation.blade.php
@extends('layouts.app')

@section('pageTitle', 'Reputation ·')
@section('title', 'Reputation ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection

resources/views/pages/security.blade.php
@extends('layouts.app')

@section('pageTitle', 'Security ·')
@section('title', 'Security ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection

resources/views/pages/terms.blade.php
@extends('layouts.app')

@section('pageTitle', 'Terms ·')
@section('title', 'Terms ·')
@section('description', 'Get things done socially with Taskord.')
@section('image', '')
@section('url', url()->current())

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header pt-3 pb-3">
            <span class="h5">Heading</span>
            <div>Sub-heading</div>
        </div>
        <div class="card-body">
            Soon
        </div>
    </div>
</div>
@endsection